## org.gnu.gtk
Class CheckButton

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Button
                                  org.gnu.gtk.ToggleButton
                                      org.gnu.gtk.CheckButton

Direct Known Subclasses:
  RadioButton

public class CheckButton
extends ToggleButton

A CheckButton widget displays a small button with a label next to it. The button can be toggled on or off by the mouse, and will retain its state until it is toggled again.

Constructor Summary
`CheckButton()` Creates a new CheckButton
`CheckButton(org.gnu.glib.Handle handle)` Construct a check button using a handle to a native resource.
`CheckButton(java.lang.String label, boolean hasMnemonic)` Creates a new Checkbutton with a label.

Method Summary
`static CheckButton` `getCheckButton(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.gtk.ToggleButton
`addListener, getEventListenerClass, getEventType, getInconsistent, getState, getToggleButton, removeListener, setInconsistent, setState`

Methods inherited from class org.gnu.gtk.Button
`addListener, click, enter, getButton, getFocusOnClick, getImage, getLabel, getRelief, getUseStock, getUseUnderline, getXAlignment, getYAlignment, leave, press, release, removeListener, setAlignment, setFocusOnClick, setImage, setLabel, setRelief, setUseStock, setUseUnderline`

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckButton

    public CheckButton()

  Creates a new CheckButton

### CheckButton

    public CheckButton(org.gnu.glib.Handle handle)

  Construct a check button using a handle to a native resource.

### CheckButton

    public CheckButton(java.lang.String label,
                       boolean hasMnemonic)

  Creates a new Checkbutton with a label. If hasMnemonic is true, any mnemonic characters in the `Label` will be interpreted. See the description of the `Label` class for more details of mnemonic characters.

Parameters:
  `label` - Text to be displayed in a label next to the check box.
  `hasMnemonic` - Determines whether to interpret Mnemonic characters

Method Detail

### getCheckButton

    public static CheckButton getCheckButton(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.